using Godot;
using System;

public class SelectionModeUI : Control
{
    [Signal]
    delegate void EnableBuildMode();

    [Export]
    private NodePath _selectionModePath;
    public SelectionMode _selectionMode;

    public void _on_Build_Mode_pressed() => EmitSignal(nameof(EnableBuildMode));

    public override void _Ready()
    {
        _selectionMode = GetNode<SelectionMode>(_selectionModePath);
    }

    public override void _Process(float delta)
    {
        base._Process(delta);

        Visible = _selectionMode.Active;
    }
}
